<%@ Control language="C#" Inherits="DotNetNuke.Modules.PNS_DynaLinks.Edit" AutoEventWireup="false"  Codebehind="Edit.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<table cellpadding=4 cellspacing=0 width=800>

    <!-- Line Seperator -->
    <tr>
        <td width=* colspan="2" align=center>
            <hr width=100% />
        </td>
    </tr>
    <tr><td colspan=2 width=*>&nbsp;</td></tr>

    <!-- Dynamically Referenced Page -->
    <tr>
        <td width=* colspan="2">
            <asp:RadioButton ID="radReferencePage" runat="server" GroupName="Mode" AutoPostBack="true" oncheckedchanged="radReferencePage_CheckedChanged"  />
            <dnn:label ID="lblReferencePage" runat="server" Text="my text here" HelpText="my help here" />
        </td>
    </tr>
    <tr>
        <td width=20>&nbsp;</td>
        <td width=*>
            <table cellpadding="3" cellspacing="0" width="100%">
                <tr><td width=*>
                    <asp:DropDownList ID="ddlTabsReference" runat="server" style="width:750px;"></asp:DropDownList>
                </td></tr>
                <tr><td width=*>
                    <asp:LinkButton ID="cmdReferencedSave" runat="server" resourcekey="cmdReferencedSave" Text="Save" onclick="cmdReferencedSave_Click" Visible="false"></asp:LinkButton><br />
                    <asp:Label ID="lblReferencedErrorMsg" runat="server" CssClass="ErrorMessage" Visible="false" ></asp:Label>
                </td></tr>
            </table> 
            <br />
        </td>
    </tr>
      
    <!-- Custom Quick Links Page -->
    <tr>
        <td width=* colspan="2">
            <asp:RadioButton ID="radCustomLinks" runat="server" GroupName="Mode" AutoPostBack="true" oncheckedchanged="radCustomLinks_CheckedChanged" /> 
            <dnn:label ID="lblCustomLinks" runat="server" Text="my text here" HelpText="my help here" />
        </td>
    </tr>
    <tr>
        <td width=20>&nbsp;</td>
        <td width=*>
            
            <table cellpadding=4 cellspacing=0 width=750 border=0>
                <tr height=*>
                    <td width=250 align=left valign=top>
                        <asp:PlaceHolder runat="server" ID="plcCustomLinks" Visible="false">
                        <table cellpadding="4" cellspacing="0" width="100%">
                            <tr><td width=* class="CustomLinksTitle">
                                <dnn:label ID="lblCustomLinksTitle" runat="server" Text="my text here" />
                            </td></tr>
                            <tr><td width=* class="CustomLinksBody" valign=top>
                                <asp:Table ID="tblCustomLinks" runat="server" Width=100% CellPadding=2 CellSpacing=0>
                                </asp:Table>
                            </td></tr>
                            <tr><td width=* class="CustomLinksTitle">
                                <asp:LinkButton ID="cmdAddNew" runat="server" Text="Add" OnClick="cmdAddNew_Click"></asp:LinkButton>
                                &nbsp;&nbsp;&nbsp;
                                <asp:LinkButton ID="cmdCopyPage" runat="server" Text="Copy" OnClick="cmdCopyPage_Click"></asp:LinkButton>
                             </td></tr>
                        </table>
                        </asp:PlaceHolder>
                    </td>
                    <td width=500 valign="top">
                    
                        <asp:PlaceHolder runat="server" ID="plcCopyWindow" Visible="false">
                        <table cellpadding=4 cellspacing=0 width=100%>
                            <tr>
                                <td colspan="2" Class="CustomLinksTitle">
                                    <dnn:label ID="lblTabsCopy" runat="server" Text="my text here" />
                                </td>
                            </tr>
                            <tr Class="CustomLinksBody">
                                <td width=80 align=right>
                                    <dnn:label ID="lblCopyPage" runat="server" Text="my text here" HelpText="my help here" />
                                </td>
                                <td width=* align=left>
                                    <asp:DropDownList ID="ddlTabsCopy" runat="server" style="width:380px;"></asp:DropDownList>&nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td colspan=2 width=* Class="CustomLinksTitle" align=left>
                                    <asp:LinkButton ID="cmdCopy" runat="server" Text="Copy" OnClick="cmdCopy_Click"></asp:LinkButton>&nbsp;
                                    <asp:Label ID="lblCopyPageErrorMsg" runat="server" CssClass="ErrorMessage" Visible="false" ></asp:Label><br />
                                </td>
                            </tr>
                        </table>
                        </asp:PlaceHolder>


                        <asp:PlaceHolder runat="server" ID="plcEditLinksWindow" Visible="false">
                        <table cellpadding=4 cellspacing=0 width=100%>
                            <tr>
                                <td colspan=2 Class="CustomLinksTitle">
                                    <dnn:label ID="lblEditCustomLinkTitle" runat="server" Text="my text here" />
                                </td>
                            </tr>
                            <tr Class="CustomLinksBody">
                                <td width=150 align=right>
                                    <dnn:label ID="lblLinkType" runat="server" Text="my text here" HelpText="my help here" />
                                </td>
                                <td width=* align=left>
                                    <asp:RadioButton ID="radCustomLinkTypePage" runat="server" 
                                        GroupName="CustomLinkType" Text="Page" TextAlign=Right Checked="false" 
                                        AutoPostBack="true" oncheckedchanged="radCustomLinkTypePage_CheckedChanged" />
                                    <asp:RadioButton ID="radCustomLinkTypeFile" runat="server" 
                                        GroupName="CustomLinkType" Text="File" TextAlign=Right Checked="false" 
                                        AutoPostBack="true" oncheckedchanged="radCustomLinkTypeFile_CheckedChanged" />
                                    <asp:RadioButton ID="radCustomLinkTypeURL" runat="server" 
                                        GroupName="CustomLinkType" Text="External URL" TextAlign=Right Checked="false" 
                                        AutoPostBack="true" oncheckedchanged="radCustomLinkTypeURL_CheckedChanged" />
                                </td>
                            </tr>
                            <tr Class="CustomLinksBody">
                                <td width=150 align=right>
                                    <dnn:label ID="lblTitle" runat="server" Text="my text here" HelpText="my help here" />
                                </td>
                                <td width=* align=left>
                                    <asp:TextBox ID="txtCustomTitle" runat="server" MaxLength=150 Width=150></asp:TextBox>
                                    <asp:TextBox ID="txtDynaLinkID" runat="server" Visible="false" Text="0"></asp:TextBox>
                                </td>
                            </tr>
                            <asp:PlaceHolder id="plcCustomLinkPage" runat="server" Visible="false">
                                <tr Class="CustomLinksBody">
                                    <td width=150 align=right>
                                        <dnn:label ID="lblPage" runat="server" Text="my text here" HelpText="my help here" />
                                    </td>
                                    <td width=* align=left>
                                        <asp:DropDownList ID="ddlCustomPages" runat="server" Width=300></asp:DropDownList>
                                    </td>
                                </tr>
                            </asp:PlaceHolder>
                            <asp:PlaceHolder id="plcCustomLinkFile" runat="server" Visible="false">
                                <tr Class="CustomLinksBody">
                                    <td width=150 align=right>
                                        <dnn:label ID="lblFile" runat="server" Text="my text here" HelpText="my help here" />
                                    </td>
                                    <td width=* align=left>
                                        <asp:DropDownList ID="ddlCustomFolders" runat="server" Width=300 AutoPostBack=true OnSelectedIndexChanged="ddlCustomFolders_SelectedIndexChanged"></asp:DropDownList><br />
                                        <asp:DropDownList ID="ddlCustomFiles" runat="server" Width=300></asp:DropDownList>
                                    </td>
                                </tr>
                            </asp:PlaceHolder>
                            <asp:PlaceHolder id="plcCustomLinkExtURL" runat="server" Visible="false">
                                <tr Class="CustomLinksBody">
                                    <td width=150 align=right>
                                        <dnn:label ID="lblURL" runat="server" Text="my text here" HelpText="my help here" />
                                    </td>
                                    <td width=* align=left><asp:TextBox ID="txtCustomExtURL" runat="server" MaxLength=150 Width=300></asp:TextBox></td>
                                </tr>
                            </asp:PlaceHolder>
                            <tr Class="CustomLinksBody">
                                <td width=150 align=right>
                                    <dnn:label ID="lblCustomAlt" runat="server" Text="my text here" HelpText="my help here" />
                                </td>
                                <td width=* align=left><asp:TextBox ID="txtCustomAlt" runat="server" MaxLength=150 Width=300></asp:TextBox></td>
                            </tr>
                            <tr Class="CustomLinksBody">
                                <td width=150 align=right>
                                    <dnn:label ID="lblCustomExtWin" runat="server" Text="my text here" HelpText="my help here" />
                                </td>
                                <td width=* align=left><asp:CheckBox ID="chkCustomExtWin" runat="server" Checked="false" /></td>
                            </tr>
                            <tr>
                                <td colspan=2 width=* Class="CustomLinksTitle" align=left>
                                    <asp:LinkButton ID="cmdCustomSave" runat="server" Text="Save" onclick="cmdCustomSave_Click" Visible="false"></asp:LinkButton>&nbsp;&nbsp;
                                    <asp:Label ID="lblCustomErrorMsg" runat="server" CssClass="ErrorMessage" Visible="false"></asp:Label>&nbsp;&nbsp;
                                    <asp:LinkButton ID="cmdCustomYes" runat="server" Text="Yes" OnClick="cmdCustomYes_Click" Visible="false"></asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="cmdCustomNo" runat="server" Text="No" OnClick="cmdCustomNo_Click" Visible="false"></asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                        </asp:PlaceHolder>

                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr><td colspan=2 width=*>&nbsp;</td></tr>

    <!-- Line Seperator -->
    <tr>
        <td width=* colspan="2" align=center>
            <hr width=100% />
        </td>
    </tr>

    <!-- Licensing -->
    <tr>
        <td width=20 align=right>
            <dnn:label ID="lblLicensing" runat="server" HelpText="my help here" />
        </td>
        <td width=*>
            <asp:LinkButton runat="server" ID="btnLicensing" Text="Licensing" onclick="btnLicensing_Click"></asp:LinkButton>
        </td>
    </tr>
    <asp:PlaceHolder runat="server" ID="plcLicensing" Visible="false">
    <tr>
        <td width=20>&nbsp;</td>
        <td width=*>
            <table cellpadding=4 cellspacing=0 width=740>
                <tr>
                    <td colspan=2 Class="CustomLinksTitle">
                        <dnn:label ID="lblLicensingTitle" runat="server" Text="my text here" />
                    </td>
                </tr>
                <tr Class="CustomLinksBody">
                    <td width=130 align=right>
                        <dnn:label ID="lblLicenseSerialNum" runat="server" Text="my text here" HelpText="my help here" />
                    </td>
                    <td width=* align=left>
                        <asp:TextBox ID="txtSerialNumber" runat="server" MaxLength=300 Width=550></asp:TextBox>&nbsp;
                        <asp:Image ID="imgCheckMark" runat="server" Visible="false" />
                    </td>
                </tr>
                <tr>
                    <td colspan=2 width=* Class="CustomLinksTitle" align=left>
                        <asp:LinkButton ID="btnActivate" runat="server" Text="Activate" onclick="btnActivate_Click"></asp:LinkButton>&nbsp;&nbsp;
                        <asp:Label ID="lblLicenseKeyMessage" runat="server" CssClass="ErrorMessage" Visible="false"></asp:Label>&nbsp;&nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan=2 width=*>&nbsp;</td>
                </tr>
            </table>
        </td>
    </tr>
    </asp:PlaceHolder>
    
    <!-- Documentation -->
    <tr>
        <td width=20 align=right>
            <dnn:label ID="lblHelp" runat="server" HelpText="my help here" />
        </td>
        <td width=*>
            <asp:HyperLink runat="server" ID="hlkHelp" Text="Help" Target="_blank" NavigateUrl=""></asp:HyperLink>
        </td>
    </tr>
    
    <!-- Copyright -->
    <tr>
        <td width=* colspan="2" align=center>
            <asp:Label runat="server" ID="lblCopyright" CssClass="Copyright"></asp:Label><br /><br />
            <a href="http://www.pointsnorthsys.com/DynaLinks.asp" target="_blank"><asp:Image runat="server" ID="imgLogo" /></a>
        </td>
    </tr>
    
</table>


<br /><br />


